Crazy Eddies GUI System: CEGUI::TabButton Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::TabButton Class Reference

Base class for TabButtons. A TabButton based class is used internally as the button that appears at the top of a TabControl widget to select the active tab pane. More...

Inheritance diagram for CEGUI::TabButton:

[legend]
Collaboration diagram for CEGUI::TabButton:

[legend]
List of all members.

## Public Member Functions
| TabButton (const String &type, const String &name)
| Constructor for base TabButton class.
virtual | ~TabButton (void)
| Destructor for TabButton class.
virtual void | setSelected (bool selected)
| Set whether this tab button is selected or not.
virtual void | setRightOfSelected (bool isRight)
| Set whether this tab button is on the right of the selected button, used to disable edges of buttons when deselected (to give an overlapping look).
bool | isSelected (void) const
| Return whether this tab button is selected or not.
void | setTargetWindow (Window *wnd)
| Set the target window which is the content pane which this button is covering.
Window * | getTargetWindow (void)
| Get the target window which is the content pane which this button is covering.
void | setTabIndex (uint idx)
| Set the index at which this tab is positioned.
uint | getTabIndex (void)
| Get the index at which this tab is positioned.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | EventClicked
| The button was clicked.
## Protected Member Functions
virtual void | onClicked (WindowEventArgs &e)
| handler invoked internally when the button is clicked.
virtual void | onMouseButtonUp (MouseEventArgs &e)
| Handler called when a mouse button has been released within this window's area.
void | addTabButtonEvents (void)
| Add button specific events.
void | drawSelf (float z)
| Perform the rendering for this widget.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.
## Protected Attributes
bool | d_selected
| Is this button selected?
bool | d_rightOfSelected
| Is this button to the right of the selected tab?
Window * | d_targetWindow
| The target window which this button is representing.
uint | d_tabIndex
| The index at which this tab is positioned.

## Detailed Description

Base class for TabButtons. A TabButton based class is used internally as the button that appears at the top of a TabControl widget to select the active tab pane.

## Member Function Documentation

void CEGUI::TabButton::drawSelf | ( | float | z | ) | `[protected, virtual]`

  | Perform the rendering for this widget. Parameters:
  | z | float value specifying the base Z co-ordinate that should be used when rendering
Returns: Nothing Reimplemented from CEGUI::ButtonBase.

void CEGUI::TabButton::onMouseButtonUp | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

  | Handler called when a mouse button has been released within this window's area. Parameters:
  | e | MouseEventArgs object. All fields are valid.
Reimplemented from CEGUI::ButtonBase.

virtual bool CEGUI::TabButton::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

  | Return whether this window was inherited from the given class name at some point in the inheritance heirarchy. Parameters:
  | class_name | The class name that is to be checked.
Returns: true if this window was inherited from class_name. false if not. Reimplemented from CEGUI::ButtonBase.